aboutsummaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck/zsh6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/zsh b/check/zsh
new file mode 100755
index 00000000..39a6c1e9
--- /dev/null
+++ b/check/zsh
@@ -0,0 +1,6 @@
+#!/bin/sh
+for zsh in zsh/* zsh/zshrc.d/* ; do
+ [ -f "$zsh" ] || continue
+ zsh -n "$zsh" || exit
+done
+printf 'All zsh(1) scripts parsed successfully.\n'